/*******************************************************************************
 * FoxDynamicSMActor generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxDynamicSMActor extends DynamicSMActor
    native
    hidecategories(Navigation);

var() const bool bShowInHRV;
var() const Material HRVMaterial;

simulated event ToggleHRVEffects(const bool bEnabled)
{
    local int I;

    // End:0x156
    if(bShowInHRV && StaticMeshComponent != none)
    {
        // End:0xC6
        if(bEnabled)
        {
            I = 0;
            J0x36:
            // End:0xA2 [Loop If]
            if(I < StaticMeshComponent.GetNumElements())
            {
                StaticMeshComponent.SetMaterial(I, HRVMaterial);
                ++ I;
                // [Loop Continue]
                goto J0x36;
            }
            StaticMeshComponent.SetDepthPriorityGroup(2);
        }
        // End:0x156
        else
        {
            I = 0;
            J0xD1:
            // End:0x135 [Loop If]
            if(I < StaticMeshComponent.GetNumElements())
            {
                StaticMeshComponent.SetMaterial(I, none);
                ++ I;
                // [Loop Continue]
                goto J0xD1;
            }
            StaticMeshComponent.SetDepthPriorityGroup(1);
        }
    }
    //return;    
}

event Attach(Actor Other)
{
    //return;    
}

event Detach(Actor Other)
{
    //return;    
}

defaultproperties
{
    bShowInHRV=true
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxDynamicSMActor.MyLightEnvironment'
    object end
    // Reference: StaticMeshComponent'Default__FoxDynamicSMActor.StaticMeshComponent0'
    StaticMeshComponent=StaticMeshComponent0
    LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxDynamicSMActor.MyLightEnvironment'
    Components(0)=DynamicLightEnvironmentComponent'Default__FoxDynamicSMActor.MyLightEnvironment'
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxDynamicSMActor.MyLightEnvironment'
    object end
    // Reference: StaticMeshComponent'Default__FoxDynamicSMActor.StaticMeshComponent0'
    Components(1)=StaticMeshComponent0
    RemoteRole=ENetRole.ROLE_None
    TickGroup=ETickingGroup.TG_DuringAsyncWork
    bNoDelete=true
    bAlwaysRelevant=true
    bUpdateSimulatedPosition=true
    bOnlyDirtyReplication=true
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxDynamicSMActor.MyLightEnvironment'
    object end
    // Reference: StaticMeshComponent'Default__FoxDynamicSMActor.StaticMeshComponent0'
    CollisionComponent=StaticMeshComponent0
}